liblua5.3-dev_5.3.1-1ubuntu2_amd64.deb


Advertisement

Description

liblua5.3-dev - Development files for the Lua language version 5.3

Property Value
Distribution Ubuntu 16.04 LTS (Xenial Xerus)
Repository Ubuntu Main amd64
Package filename liblua5.3-dev_5.3.1-1ubuntu2_amd64.deb
Package name liblua5.3-dev
Package version 5.3.1
Package release 1ubuntu2
Package architecture amd64
Package type deb
Category libdevel
Homepage http://www.lua.org
License -
Maintainer Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Download size 137.69 KB
Installed size 935.00 KB
Lua is a powerful, light-weight programming language designed for extending
applications.  The language engine is accessible as a library, having a C
API which allows the application to exchange data with Lua programs and also
to extend Lua with C functions.  Lua is also used as a general-purpose,
stand-alone language through the simple command line interpreter provided.
This package contains developer resources for using the Lua library.
Install it if you are developing programs which use the Lua C API.
This package also contains the official manual covering the Lua language
and C API.

Alternatives

Package Version Architecture Repository
liblua5.3-dev_5.3.1-1ubuntu2.1_amd64.deb 5.3.1 amd64 Ubuntu Updates Main
liblua5.3-dev_5.3.1-1ubuntu2.1_i386.deb 5.3.1 i386 Ubuntu Updates Main
liblua5.3-dev_5.3.1-1ubuntu2_i386.deb 5.3.1 i386 Ubuntu Main
liblua5.3-dev - - -

Requires

Name Value
libc-dev -
libc6-dev -
liblua5.3-0 = 5.3.1-1ubuntu2
libreadline-dev -

Download

Type URL
Mirror archive.ubuntu.com
Binary Package liblua5.3-dev_5.3.1-1ubuntu2_amd64.deb
Source Package lua5.3

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install liblua5.3-dev deb package:
    # sudo apt-get install liblua5.3-dev

Files

Path
/usr/include/lua5.3/lauxlib.h
/usr/include/lua5.3/lua.h
/usr/include/lua5.3/lua.hpp
/usr/include/lua5.3/luaconf.h
/usr/include/lua5.3/lualib.h
/usr/include/x86_64-linux-gnu/lua5.3-deb-multiarch.h
/usr/lib/x86_64-linux-gnu/liblua5.3-c++.a
/usr/lib/x86_64-linux-gnu/liblua5.3-c++.so
/usr/lib/x86_64-linux-gnu/liblua5.3.a
/usr/lib/x86_64-linux-gnu/liblua5.3.so
/usr/lib/x86_64-linux-gnu/pkgconfig/lua-5.3-c++.pc
/usr/lib/x86_64-linux-gnu/pkgconfig/lua-5.3.pc
/usr/lib/x86_64-linux-gnu/pkgconfig/lua5.3-c++.pc
/usr/lib/x86_64-linux-gnu/pkgconfig/lua5.3.pc
/usr/lib/x86_64-linux-gnu/pkgconfig/lua53-c++.pc
/usr/lib/x86_64-linux-gnu/pkgconfig/lua53.pc
/usr/share/doc/liblua5.3-dev/changelog.Debian.gz
/usr/share/doc/liblua5.3-dev/copyright
/usr/share/lua5.3/version-script

Changelog

2016-04-13 - Steve Langasek <steve.langasek@ubuntu.com>
lua5.3 (5.3.1-1ubuntu2) xenial; urgency=medium
* Revert changes from previous upload, not needed and don't fix the issue.
* debian/patches/0001-build-system.patch: never use libtool --quiet
which is always the wrong answer for package builds.
* debian/patches/0001-build-system.patch: do not pass a version script when
building executables; this is meant for libraries, and its use appears to
be breaking the build on powerpc (probably due to a toolchain regression).
LP: #1570055.
2016-04-12 - Barry Warsaw <barry@ubuntu.com>
lua5.3 (5.3.1-1ubuntu1) xenial; urgency=medium
* debian/patches/0001-build-system.patch: Build *and* link with g++.
Fixes segfault in build inside wgenops.c:105 at main() exit.
* d/control: update-maintainer
2015-03-01 - Enrico Tassi <gareuselesinge@debian.org>
lua5.3 (5.3.1-1) unstable; urgency=medium
* Initial release. (Closes: #775565)

See Also

Package Description
liblvm2-dev_2.02.133-1ubuntu10_amd64.deb LVM2 libraries - development files
liblvm2app2.2_2.02.133-1ubuntu10_amd64.deb LVM2 application library
liblvm2cmd2.02_2.02.133-1ubuntu10_amd64.deb LVM2 command library
liblwp-mediatypes-perl_6.02-1_all.deb module to guess media type for a file or a URL
liblwp-protocol-https-perl_6.06-2_all.deb HTTPS driver for LWP::UserAgent
liblwres141_9.10.3.dfsg.P4-8_amd64.deb Lightweight Resolver Library used by BIND
liblxc1_2.0.0-0ubuntu2_amd64.deb Linux Containers userspace tools (library)
liblz4-1_0.0~r131-2ubuntu2_amd64.deb Fast LZ compression algorithm library - runtime
liblz4-dev_0.0~r131-2ubuntu2_amd64.deb Fast LZ compression algorithm library - development files
liblzma-dev_5.1.1alpha+20120614-2ubuntu2_amd64.deb XZ-format compression library - development files
liblzma-doc_5.1.1alpha+20120614-2ubuntu2_all.deb XZ-format compression library - API documentation
liblzma5_5.1.1alpha+20120614-2ubuntu2_amd64.deb XZ-format compression library
liblzo2-2_2.08-1.2_amd64.deb data compression library
liblzo2-dev_2.08-1.2_amd64.deb data compression library (development files)
libm17n-0_1.7.0-3_amd64.deb multilingual text processing library - runtime
Advertisement
Advertisement